org.omg.CosNaming

## Class Binding

- java.lang.Object
- - org.omg.CosNaming.Binding

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class Binding
      extends Object
      implements IDLEntity

  org/omg/CosNaming/Binding.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Saturday, November 15, 2014 4:31:40 PM GMT
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NameComponent[]` | `binding_name`
    `BindingType` | `binding_type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Binding()`
    `Binding(NameComponent[] _binding_name, BindingType _binding_type)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### binding_name

          public NameComponent[] binding_name

    - #### binding_type

          public BindingType binding_type

  - ### Constructor Detail

    - #### Binding

          public Binding()

    - #### Binding

          public Binding(NameComponent[] _binding_name,
                 BindingType _binding_type)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.